<?php

	// はてな用のライブラリの読み込み
	require './hatena-oauth-library.php' ;

	// アクセストークンとアクセストークンシークレット
	$access_token = '' ;
	$access_token_secret = '' ;

	// ブックマークを削除するURL
	$url = 'https://syncer.jp/' ;

	// リクエストの設定
	$request_url = 'http://api.b.hatena.ne.jp/1/my/bookmark' ;		// リクエストURL
	$request_method = 'DELETE' ;								// リクエストメソッド

	// リクエストを送信する
	$res = hatena_oauth(
		$request_url ,
		$request_method ,
		array(
			'oauth_token' => $access_token ,
			'oauth_token_secret' => $access_token_secret ,
			'url' => $url ,
		) ,
		1					// 今回はレスポンスヘッダーも取得するため、第4引数を[1]に
	) ;

	// HTML用
	$html = '' ;

	// 出力
	$html .= '<h2>実行結果</h2>' ;

	// 成功判定 ( レスポンスヘッダーに[HTTP/1.1 204]という文字列があれば、という雑な判定… )
	if( strpos( $res[1] , 'HTTP/1.1 204' ) !== false )
	{
		$html .= '<p>ブックマークの削除に成功しました。</p>' ;
	}

	// ブックマークが存在しない場合
	elseif( strpos( $res[1] , 'HTTP/1.1 404' ) !== false )
	{
		$html .= '<p>対象のURLにブックマークしていないみたいです…。</p>' ;
	}

	// その他のエラー
	else
	{
		$html .= '<p>ブックマークの削除に失敗したみたいです…。</p>' ;
	}

	$html .= 	'<h3>取得したデータ</h3>' ;
	$html .= 	'<p>下記は取得したレスポンスヘッダーです。ステータスコードが<code>204</code>なら成功です。</p>' ;
	$html .= 	'<p><textarea rows="8">' . $res[1] . '</textarea></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>はてなブックマークで、指定したURLのブックマークを削除するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/delete-bookmark.php

	* 最終更新日時
	2015/07/24 04:29

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
