<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>PHPで指定したウェブサイト全体のはてブ数を取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-count-website.php

	* 最終更新日時
	2015/07/23 12:33

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<h1 style="text-align:center;color:#d36015;">PHPで指定したウェブサイト全体のはてブ数を取得するサンプルデモ</h1>
<p>PHPを使って、指定したウェブサイト全体のはてブ数を取得し、表示します。</p>

<HR style="margin: 3em 0 ;">

<?php

	// チェックするサイトのURL
	$url = 'https://twitter.com/' ;

	// IXR_Library.phpまでのパス
	$path = './IXR_Library.php' ;

	// エラー判定
	if( !file_exists( $path ) )
	{
		echo '<p>[IXR_Library.php]が[' . $path . ']に存在しないみたいです…。</p>' ;
	}
	else
	{
		// IXR_Libraryの読み込み
		require $path ;

		// インスタンスの作成
		$ixr = new IXR_Client( 'http://b.hatena.ne.jp/xmlrpc' ) ;

		// クエリの指定
		$ixr->query( 'bookmark.getTotalCount' , $url ) ;

		// JSONデータを取得
		$count = $ixr->getResponse() ;

		//データが存在しない場合は0扱い
		if( !isset( $count ) || empty( $count ) )
		{
			$count = 0 ;
		}

		// 出力
		echo '<h2>実行結果</h2>' ;
		echo '<dl>' ;
		echo 	'<dt>調べたURL</dt>' ;
		echo 		'<dd><a href="' . $url . '" target="_blank">' . $url . '</a></dd>' ;
		echo 	'<dt>取得結果</dt>' ;
		echo 		'<dd><mark>' . number_format( $count ) . '</mark></dd>' ;
		echo '</dl>' ;

	}

?>


<HR style="margin: 3em 0 ;">



<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
