<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>PHPで、はてなブックマークの指定したエントリー情報を取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-entry.php

	* 最終更新日時
	2015/07/23 18:14

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<h1 style="text-align:center;color:#d36015;">PHPで、はてなブックマークの指定したエントリー情報を取得するサンプルデモ</h1>
<p>PHPを使って、はてなブックマークのエントリー情報を取得し、内容を表示します。</p>

<HR style="margin: 3em 0 ;">

<?php

	// エントリー情報を取得するURL
	$entry = 'http://syncer.jp/schema-entering' ;

	// JSONデータを取得してオブジェクトに変換
	$json = @file_get_contents( 'http://b.hatena.ne.jp/entry/jsonlite/?url=' . rawurlencode( $entry ) ) ;

	// 取得したJSONをオブジェクトに変換する
	$obj = json_decode( $json ) ;

	// エラー判定
	if( !$obj || !isset($obj->title) || !isset($obj->url) || !isset($obj->eid) || !isset($obj->screenshot) || !isset($obj->entry_url) )
	{
		echo '<p>エントリー情報を取得できませんでした…。</p>' ;
	}
	else
	{
		// HTML
		$html = '' ;

		// 情報を取得
		$title = $obj->title ;				// タイトル
		$url = $obj->url ;					// URL
		$id = $obj->eid ;					// エントリーID
		$img = $obj->screenshot ;			// スクリーンショット画像のURL
		$page = $obj->entry_url ;			// はてブコメント欄のURL

		// エントリー情報
		$html .= '<h2>エントリー情報</h2>' ;
		$html .= '<dl>' ;
		$html .= 	'<dt>タイトル</dt>' ;
		$html .= 		'<dd>' . $title . '</dd>' ;
		$html .= 	'<dt>URLアドレス</dt>' ;
		$html .= 		'<dd><a href="' . $url . '" target="_blank">' . $url . '</a></dd>' ;
		$html .= 	'<dt>エントリーページ</dt>' ;
		$html .= 		'<dd><a href="' . $page . '" target="_blank">' . $page . '</a></dd>' ;
		$html .= 	'<dt>スクリーンショット</dt>' ;
		$html .= 		'<dd><img src="' . $img . '" style="max-width:100%"></dd>' ;

		//個々のブクマ(コメント)を取得していく
		if( isset($obj->bookmarks) && !empty($obj->bookmarks) )
		{
			// HTML
			$html .= 	'<dt>各ブックマーク</dt>' ;

			// [$obj->bookmarks]の配列をループ
			foreach( $obj->bookmarks as $item )
			{
				// 各情報
				$user = $item->user ;																						// ユーザーID
				$icon = 'http://cdn1.www.st-hatena.com/users/' . substr( $user , 0 , 2 ) . '/' . $user . '/profile.gif' ;	// ユーザーアイコン
				$com = ( $item->comment ) ? ' 「' . $item->comment . '」' : '' ;											// コメント
				$date = $item->timestamp ;																					// ブクマした日付
				$tags = implode( ',' , (array)$item->tags ) ;																// タグ一覧
 
				// HTML
				$html .= '<dd><img src="' . $icon . '" width="30" height="30"> ' . $user . $com . ' (' . $date . ') ' . $tags . '</dd>' ;
			}
		}

		$html .= '</dl>' ;

		// 出力
		echo $html ;
	}

?>



<HR style="margin: 3em 0 ;">



<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
