<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>PHPで、はてなブックマークの指定したフィードを取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-feed.php

	* 最終更新日時
	2015/07/23 17:32

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<h1 style="text-align:center;color:#d36015;">PHPで、はてなブックマークの指定したフィードを取得するサンプルデモ</h1>
<p>PHPを使って、はてなブックマークのフィードを取得し、内容を表示します。</p>

<HR style="margin: 3em 0 ;">

<?php

	// 取得するフィードURLを指定
	$feed = 'http://b.hatena.ne.jp/hotentry?mode=rss' ;

	// フィードを取得してオブジェクトに変換
	$obj = simplexml_load_string( @file_get_contents( $feed ) ) ;
 
	// エラー判定
	if( !$obj || !isset( $obj->item ) || empty( $obj->item ) )
	{
		echo '<p><a href="' . $feed . '" target="_blank">フィード</a>を取得できませんでした…。</p>' ;
	}
	else
	{
		// HTML
		$html = '' ;

		// 個々のエントリーを読み込んでいく
		foreach( $obj->item as $item )
		{
			// 各値の整理
			$url = (string)$item->link ;									// URL
			$date = $item->children( 'dc' , true )->date ;					// エントリーの日付
			$title = (string)$item->title ;									// タイトル
			$category = $item->children( 'dc' , true )->subject ;			// カテゴリ
			$count = $item->children( 'hatena' , true )->bookmarkcount ;	// ブクマ数

			// 日付の整形
			$date = date( 'Y/m/d H:i:s' , strtotime( $date ) ) ;

			// HTML
			$html .= '<dd>' ;
			$html .= 	'[' . $category . '] - ' . $title . ' (' . $date . ') ' . $count . 'users' ;
			$html .= 	'<br><a href="' . $url . '" target="_blank" rel="nofollow">' . $url . '</a>' ;
			$html .= '</dd>' ;
		}

		// 出力
		echo '<h2>実行結果</h2>' ;
		echo '<dl>' ;
		echo 	'<dt>取得したフィード</dt>' ;
		echo 		'<dd><a href="' . $feed . '" target="_blank">' . $feed . '</a></dd>' ;
		echo 	'<dt>取得結果</dt>' ;
		echo 		$html ;
		echo '</dl>' ;
	}

?>


<HR style="margin: 3em 0 ;">



<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
