<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>はてなブックマークの、コメントに付いたスター数を取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-star-comment.php

	* 最終更新日時
	2015/07/23 21:48

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<h1 style="text-align:center;color:#d36015;">はてなブックマークの、コメントに付いたスター数を取得するサンプルデモ</h1>
<p>PHPを使って、はてなブックマークのコメントに付いたスター数を取得するサンプルデモです。</p>

<HR style="margin: 3em 0 ;">

<?php

	// ブコメのパーマリンクを指定
	$bukome = 'http://b.hatena.ne.jp/syncer/20150717#bookmark-228023' ;

	// JSONデータを取得してそのままオブジェクト形式に変換
	$json = @file_get_contents( 'http://s.hatena.com/entry.json?uri=' . rawurlencode( $bukome ) ) ;

	// オブジェクトに変換
	$obj = json_decode( $json ) ;

	// エラー判定
	if( !$obj )
	{
		echo '<p>スター数を取得できませんでした…。</p>' ;
	}
	else
	{
		// 黄色スター数を算出 (0の場合に備えて条件分け)
		$yellow = ( isset($obj->entries[0]->stars) ) ? count( (array)$obj->entries[0]->stars ) : 0 ;

		// カラースター数を記録する配列
		$color = array(
			'green' => 0 ,
			'red' => 0 ,
			'blue' => 0 ,
			'purple' => 0 ,
		) ;

		// カラースター数をチェック
		if( isset($obj->entries[0]->colored_stars) && !empty($obj->entries[0]->colored_stars) )
		{
			foreach( $obj->entries[0]->colored_stars as $item )
			{
				$color[ $item->color ] = ( isset($item->stars) ) ? count( (array)$item->stars ) : 0 ;
			}
		}

		// 合計スター数を算出
		$all = $yellow + $color['red'] + $color['blue'] + $color['green'] + $color['purple'] ;

		// 出力する
		echo '<h2>実行結果</h2>' ;
		echo '<dl>' ;
		echo 	'<dt>対象のコメント</dt>' ;
		echo 		'<dd><a href="' . $bukome . '" target="_blank">' . $bukome . '</a></dd>' ;
		echo 	'<dt>黄</dt>' ;
		echo 		'<dd>' . $yellow . '個</dd>' ;
		echo 	'<dt>緑</dt>' ;
		echo 		'<dd>' . $color['green'] . '個</dd>' ;
		echo 	'<dt>赤</dt>' ;
		echo 		'<dd>' . $color['red'] . '個</dd>' ;
		echo 	'<dt>青</dt>' ;
		echo 		'<dd>' . $color['blue'] . '個</dd>' ;
		echo 	'<dt>紫</dt>' ;
		echo 		'<dd>' . $color['purple'] . '個</dd>' ;
		echo 	'<dt>合計</dt>' ;
		echo 		'<dd>' . $all . '個</dd>' ;
		echo '</dl>' ;
	}
?>


<HR style="margin: 3em 0 ;">



<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
